# Microchip PolarFire SoC Issue Template

[discussion-forum]: https://github.com/polarfire-soc/polarfire-soc-documentation/discussions

## Checklist

Please complete this checklist before filing an issue:
- [ ] Are you using the latest releases of our deliverables?
  - If not please update to the latest version of the each deliverable needed (reference design, HSS, Linux / bare metal example) and re-test as this issue may already have been resolved.
- [ ] Is this something you can debug and fix?
  - Send a pull request! Bug fixes and documentation fixes are welcome.
- [ ] Have a usage question?
  - Ask your question on our [discussion forum](discussion-forum). We use the discussion forum for usage questions.
- [ ] Have an idea for a feature?
  - Post the feature request on the [discussion forum](discussion-forum). This will allow us to assess and plan for the feature without having an open issue until it is released. GitHub issues should only be used for code bugs.
  - [ ] Is this issue directly related to Microchip code? I.e have you found an upstream bug?
    - If so please open an issue against the upstream repository and not the Microchip fork.


## None of the above, create an issue

Please make sure to add all the information needed to understand the bug so that someone can help. If the info is missing we'll add the 'Needs more information' label and close the issue until there is enough information.

- [ ] Provide a minimal code snippet example that reproduces the bug where appropriate.
- [ ] Provide screenshots where appropriate
- [ ] Does this occur all of the time or is it intermittent?
- [ ] Have you tried on another board?
